﻿using System;
using System.Text;

using Microsoft.RuleEngine;


namespace Acme.BusinessEntities
{
    /// <summary>
    /// Implements the IFactCreator interface for providing .NET types to the BRE for testing purposes.
    /// </summary>
   public class CustomerFactCreator : IFactCreator
    {
        #region IFactCreator Members

       public object[] CreateFacts(RuleSetInfo ruleSetInfo)
       {
           object[] facts = new object[1];

           Customer customer = new Customer();
           customer.FirstName = "Robert";
           customer.LastName = "Deniro";
           customer.PreferredMember = true;

           PurchaseOrder order = new PurchaseOrder();
           order.DiscountPercentage = 0f;

           customer.Order = order;

           facts[0] = customer;

           return facts;

       }

        public Type[] GetFactTypes(RuleSetInfo ruleSetInfo)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
